tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremy Boynes <jboy...@apache.org>
Subject [taglibs] JRE version, was: How about splitting up the resource bundle?
Date Sat, 09 Oct 2010 15:41:40 GMT
On Oct 8, 2010, at 10:40 AM, Kris Schneider wrote:

> On Thu, Oct 7, 2010 at 9:29 PM, Jeremy Boynes <jboynes@apache.org> wrote:
>> Now that we require 1.5, I refactored Resources to use varargs rather than having
multiple methods taking combinations of parameters. However, now that it is greatly simplified,
i was wondering whether we should replace the single resource bundle containing messages for
all implementations with smaller ones associated with each tag or tag library.
> 
> When you say, "we require 1.5", are you talking about code
> specifically for a JSTL 1.2 impl? If it's code that's targeted at a
> JSTL 1.1 impl, then it should really run on something as crusty as
> Java 1.3 (minimum for a JSP 2.0 standalone container).

I was referring to trunk which would be our 1.2 impl which requires a JSP 2.1 container and
JDK1.5. Of course, it stills need to support 1.1 and 1.0 tags but would be able use features
from the newer runtime environment to do so. This is related to the other proposal for switching
to the EL implementation provided by 2.1 (javax.el) rather than continuing to package our
own.

Users needing to run in JSP2.0 and JDK1.3 or 1.4 environments could continue to use the 1.1.x
branches with bugfixes backported as needed.
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message